# Intro

Running a gtk-gnutella instance in docker, build from latest source and accessible via IPC-socket over SOCAT (see usage) or VNC.

# Usage

Make sure **all** mounted volumes under `/app` are owned by `1000:1000`.

## VNC

You can conenct and control your instance via given VNC port and password in `docker-compose.yml`.

## NoVNC

You can also access the VNC Interface via NoVNC WebInterface on port 5800

## IPC over `socat`

You connect to the gtk-gnutella daemon via IPC over TCP. You need to have socat and gtk-gnutella on your client too.

1.:
```
sudo socat UNIX-LISTEN:/home/user/local.socket,fork TCP-CONNECT:<REMOTE_HOST>:8089
```
2.:
```
gtk-gnutella --shell /home/user/local.socket
```

## Notes

In both cases I strongly recommend using a VPN and not running either VNC or IPC over the internet. Especially the "IPC over socat" hack is truly dangerous when listening on outward facing interfaces since there is no protection at all.
